Summary:	Set up interface aliases for bind9 system tests
Name:		bind-testsuite-setup
Version:	1
Release:	%mkrel 5
License:	ISC
Group:		System/Servers
URL:		http://www.isc.org/products/BIND/
Source0:	ifconfig.sh
Requires:	automake
BuildArch:	noarch

%description
This package provides a slightly modified bin/tests/system/ifconfig.sh file
from bind-9.9.3-P2 as /usr/sbin/bind-testsuite-setup.

This package is only needed when building ISC BIND in order to setup the
required interface aliases for bind9 system tests. This can't be done properly
unless executed as the root user. All packages are built as non-root.

Do not install this package unless you are NOT going to build the ISC BIND
packages.

%prep

%setup -q -c -T

%build

%install
install -d %{buildroot}%{_sbindir}
install -m0755 %{SOURCE0} %{buildroot}%{_sbindir}/bind-testsuite-setup

%post
%{_sbindir}/bind-testsuite-setup up

%preun
%{_sbindir}/bind-testsuite-setup down

%files
%{_sbindir}/bind-testsuite-setup



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1-5.mga6
+ Revision: 947953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-4.mga5
+ Revision: 745044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-3.mga5
+ Revision: 678152
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1-2.mga4
+ Revision: 530884
- Mageia 4 Mass Rebuild

  + oden <oden>
    - fix typo

* Tue Jul 30 2013 oden <oden> 1-1.mga4
+ Revision: 460890
- imported package bind-testsuite-setup

